lensfun 0.2.8.0

- Main Page
- Related Pages
- Modules
- Classes
- Files
- Examples

- Class List
- Class Members

Public Attributes | List of all members
lfLensCalibCrop Struct Reference
Structures and functions for lenses

Struct to save image crop, which can depend on the focal length. More...

`#include <lensfun.h>`

## Public Attributes
float | Focal
| Focal length at which this calibration data was taken (0 - unspecified)
enum lfCropMode | CropMode
| crop mode which should be applied to image to get rid of black borders
float | Crop [4]
| Crop coordinates, relative to image corresponding image dimension. More...

## Detailed Description

Struct to save image crop, which can depend on the focal length.

## Member Data Documentation

float lfLensCalibCrop::Crop[4]

Crop coordinates, relative to image corresponding image dimension.

Crop goes left - 0, right - 1, top - 2, bottom - 3 Left/right refers always to long side (width in landscape mode), top bottom to short side (height in landscape). Also negative values are allowed for cropping of fisheye images, where the crop circle can extend above the image border.

The documentation for this struct was generated from the following file:

- lensfun.h